package com.lwitz.entities;

import org.mini2Dx.core.engine.geom.CollisionPoint;
import org.mini2Dx.core.game.GameContainer;
import org.mini2Dx.core.graphics.Graphics;

public interface EntityState {
	
	public abstract void initialize(GameContainer gc, CollisionPoint pos);
	
	public abstract EntityState update(GameContainer gc, CollisionPoint pos, float delta);
	
	public abstract void interpolate(GameContainer gc, CollisionPoint pos, float alpha);
	
	public abstract void render(GameContainer gc, CollisionPoint pos, Graphics g);
	
	
	
}
