// Developed for Global Game Jam @ UWaterloo
// 01.21.17 Leon Witzman
package com.lwitz.uwjam;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.lwitz.screens.PlayScreen;
import com.lwitz.screens.LoadingScreen;
import com.lwitz.screens.TitleScreen;

import org.mini2Dx.core.game.BasicGame;
import org.mini2Dx.core.game.ScreenBasedGame;
import org.mini2Dx.core.graphics.Graphics;

public class UWJam extends ScreenBasedGame {
	public static final String GAME_IDENTIFIER = "com.lwitz.uwjam";
	
	@Override
    public void initialise() {
    	this.addScreen(new LoadingScreen());
    	this.addScreen(new TitleScreen());
    	this.addScreen(new PlayScreen());
    }

	@Override
	public int getInitialScreenId() {
		return LoadingScreen.ID;
	}
}
